
CoCoALib - Bug #1402

gfan: installation problem: configure reports cdd.h present but cannot be compiled

24 Jan 2020 17:26 - John Abbott

Status: Closed Start date: 24 Jan 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.88 hour

Target version: CoCoALib-0.99700 Spent time: 0.85 hour

Description

I have installed cddlib-094j, or so I believe -- a header file reports 0.94i as the version.

I then tried:

export CPPFLAGS="-I/usr/local/include/cdd" 

./configure

 

The result:

checking cdd.h presence... yes

configure: WARNING: cdd.h: present but cannot be compiled

configure: WARNING: cdd.h:     check for missing prerequisite headers?

configure: WARNING: cdd.h: see the Autoconf documentation

configure: WARNING: cdd.h:     section "Present But Cannot Be Compiled" 

configure: WARNING: cdd.h: proceeding with the preprocessor's result

configure: WARNING: cdd.h: in the future, the compiler will take precedence

configure: WARNING:     ## --------------------------------- ##

configure: WARNING:     ## Report this to BUG-REPORT-ADDRESS ##

configure: WARNING:     ## --------------------------------- ##

 

What is going on?  How to fix?

Related issues:

Related to CoCoALib - Bug #1308: test-GFan1 fails Closed 05 Sep 2019

History

#1 - 24 Jan 2020 17:26 - John Abbott

- Related to Bug #1308: test-GFan1 fails added

#2 - 24 Jan 2020 22:03 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

It seems that configure was giving just a warning (which is probably not a good sign).  Anyway, it also created the Makefile.

I notice that the Makefile seemed to ignore the hint to use -I/usr/local/include/cdd; so I added it manually to the line defining CPPFLAGS.

Also the command for installing seemed to want to call ../mkinstalldir which does not exist on my computer; since the installation directories existed

already, I just commented out the two lines in the install target.
And then I could build and install libgfan.a  (in /usr/local).

#3 - 24 Jan 2020 22:10 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 50 to 80

- Estimated time set to 0.88 h

Now CoCoALib compiles with GFan, but test-GFan1  give the same problem as mentioned in #1308.

#4 - 11 Feb 2020 18:33 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

The warning seems to be harmless: it worked on my Linux box, and it works on Anna's Mac despite the warnings.

We do note that CDD installs its header files in /usr/local/include/ whereas GFAN seems to want to find them in /usr/local/include/cdd/; frankly, the

latter seems to be a nicer location.

I have modified the CoCoALib configure script so that it accepts with or without a final /cdd/.

Closing.
